# include directories
LIBDIR = $(OSROOTDIR)\lib
RTXSRCDIR = $(OSROOTDIR)\rtxsrc
XMLSRCDIR = $(OSROOTDIR)\rtxmlsrc

# compiler defs
CFLAGS = -c $(CVARS_) $(CFLAGS_) $(CBLDTYPE_) $(XMLDEFS) 
CCFLAGS = $(CFLAGS)
IPATHS = -I$(OSROOTDIR) -I$(OSROOTDIR)/src $(XMLINC) $(IPATHS_)
LINKOPT = $(LINKOPT_) $(LINKDBG)

HFILES = $(RTXSRCDIR)\osSysTypes.h \
$(RTXSRCDIR)\rtxContext.h \
$(RTXSRCDIR)\rtxCommon.h \
$(RTXSRCDIR)\rtxErrCodes.h \
$(XMLSRCDIR)\osrtxml.h

SAXHFILES = $(HFILES) $(XMLSRCDIR)\rtSaxCParser.h $(XMLSRCDIR)\rtSaxDefs.h

LIBS = $(LIBDIR)\csta3xml_a.lib $(LIBDIR)\osysrtxml_a.lib $(LIBDIR)\osysrt_a.lib
LLIBS = csta3xml_a.lib osysrtxml_a.lib osysrt_a.lib
LPATHS = $(LPPFX)$(LIBDIR) 

